# ==============================================================================
# File            : Makedocs.mk
# Description     : 
#
#   GNU makefile to generate release notes using Doxygen
#
# ==============================================================================

# The target for generating release Notes using doxygen is releasenotes

RELEASE_DOC=./docs/doxygen/release.chm

releasenotes : $(RELEASE_DOC)

$(RELEASE_DOC): ./docs/doxygen/release.h
	-@echo generating Release Notes ...
	if test ! -d ./docs/doxygen/tmp; then mkdir ./docs/doxygen/tmp; fi
	cp $(TI_DOXYGEN_TEMPLATES)/*.* ./docs/doxygen/tmp
	doxygen ../mas/swtools/docs/doxygen/releaseDoxyfile
	@xs -f ../mas/swtools/release.js
	rm -rf ./docs/doxygen/tmp

BLAS_MANIFEST =./docs/manifest/Software_Manifest.html

release: $(BLAS_MANIFEST) 

genmanifest $(BLAS_MANIFEST): ./docs/manifest/manifest.xml
	-@echo generating BLAS Software Manifest ...
	@php ../mas/swtools/mangen.php $(BLAS_MANIFEST) $?

# End of Makedocs.mk
